<?php
/**
 * @package         Advanced Module Manager
 * @version         9.6.0
 * 
 * @author          Peter van Westen <info@regularlabs.com>
 * @link            http://regularlabs.com
 * @copyright       Copyright © 2023 Regular Labs All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\LayoutHelper;

$displayData = [
    'textPrefix' => 'COM_MODULES',
    'formURL'    => 'index.php?option=com_advancedmodules&view=select&client_id=' . $this->clientId,
    'helpURL'    => 'https://docs.joomla.org/Special:MyLanguage/Module',
    'icon'       => 'icon-cube module',
    // Although it is (almost) impossible to get to this page with no created Administrator Modules, we add this for completeness.
    'title'      => Text::_('COM_MODULES_EMPTYSTATE_TITLE_' . ($this->clientId ? 'ADMINISTRATOR' : 'SITE')),
];

if (Factory::getApplication()->getIdentity()->authorise('core.create', 'com_modules'))
{
    $displayData['createURL'] = 'index.php?option=com_advancedmodules&view=select&client_id=' . $this->clientId;
}

echo LayoutHelper::render('joomla.content.emptystate', $displayData);
