<?php
/**
 * @package         Conditions
 * @version         23.3.19307
 * 
 * @author          Peter van Westen <info@regularlabs.com>
 * @link            http://regularlabs.com
 * @copyright       Copyright © 2023 Regular Labs All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

namespace RegularLabs\Component\Conditions\Administrator\Condition\Date;

defined('_JEXEC') or die;

use RegularLabs\Component\Conditions\Administrator\Condition\Condition;
use RegularLabs\Component\Conditions\Administrator\Condition\HasArraySelection;
use RegularLabs\Component\Conditions\Administrator\Helper\Date as DateHelper;

class Month extends Condition
{
    use HasArraySelection;

    public function pass()
    {
        $current_month = DateHelper::getString('', 'm'); // 01 (for January) through 12 (for December)

        foreach ($this->selection as &$month)
        {
            $month = DateHelper::getMonthNumber($month);
        }

        return $this->passSimple((int) $current_month);
    }
}
