<?php
/**
 * @package         Conditions
 * @version         23.3.19307
 * 
 * @author          Peter van Westen <info@regularlabs.com>
 * @link            http://regularlabs.com
 * @copyright       Copyright © 2023 Regular Labs All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

namespace RegularLabs\Component\Conditions\Administrator\Condition\Geo;

use RegularLabs\Component\Conditions\Administrator\Condition\HasArraySelection;

defined('_JEXEC') or die;

class Country extends Geo
{
    use HasArraySelection;

    public function pass()
    {
        if ( ! $this->getGeo() || empty($this->geo->countryCode))
        {
            return false;
        }

        return $this->passSimple([$this->geo->country, $this->geo->countryCode]);
    }
}
