<?php
/**
 * @package         Conditions
 * @version         23.3.19307
 * 
 * @author          Peter van Westen <info@regularlabs.com>
 * @link            http://regularlabs.com
 * @copyright       Copyright © 2023 Regular Labs All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

namespace RegularLabs\Component\Conditions\Administrator\Condition\Hikashop;

defined('_JEXEC') or die;

use RegularLabs\Component\Conditions\Administrator\Condition\HasArraySelection;

class Item extends Hikashop
{
    use HasArraySelection;

    public function pass()
    {
        if ($this->request->option !== 'com_hikashop')
        {
            return false;
        }

        if ($this->request->view !== 'product')
        {
            return false;
        }

        return $this->passSimple($this->request->id);
    }
}
